//
//  SealedPad.h
//  SealedPad
//
//  Created by 柴田 正明 on 10/09/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//


#import <Cocoa/Cocoa.h>

@class Cryptograph;

@interface MyDocument : NSDocument
{
    NSData *encryptedData;
    NSString *passwordString;
    IBOutlet NSTextView *textView;
    IBOutlet NSTextField *passwordField;
    IBOutlet NSTextField *informationField;
}

@property (retain, readwrite) NSData *encryptedData;
@property (retain, readwrite) NSString *passwordString;

- (void)showOpenPasswordSheet;
- (void)showOpenPasswordSheetWithInformationText:informationText;
- (void)showSavePasswordSheetAndDo:(SEL)actionSelector;
- (IBAction)cancelPasswordSheet:(id)sender;
- (IBAction)okPasswordSheet:(id)sender;

@end
