#include <wx/wx.h>

#include "version.h"
#include "revisionnumber.h"


const wxChar* GetVersionString()
{
    static wxString ver;
    if (ver.IsEmpty()) {
        ver = wxString::Format(_T("%d.%d.%d.%d"),
            VERSION_MAJOR, VERSION_MINOR, VERSION_FIX, BUILD_COUNT);
    }
    return ver.c_str();
}


const wxChar* GetRevisionString()
{
    return _T(REVISION_NUMBER);
}
